package ngx_glue;
use strict;
use warnings;
use nginx;

sub perl_handler {
    my ($r, $params) = @_;

    my $host = $r->header_in("Host");
    $host = '' unless $host;
    $host =~ s/\:\d*$//;
    return HTTP_SERVER_ERROR unless $host;

    my $donor;
    if ($host =~ /^www\.(.+)$/) {
        $donor = $1;
    } else {
        $donor = 'www.'.$host;
    }

    my $uri = $r->uri();

    if ($uri eq '/robots.txt') {
        $r->send_http_header("text/plain");
        return OK if $r->header_only;
my $robots=<<"TXT";
User-agent: Yandex
Disallow: /nonexistent
Host: $donor
TXT
        $r->print($robots);
        return OK;
    }

    my $args = $r->args();
    $uri .= "?$args" if $args;

    $r->header_out("Location", "http://$donor$uri");
    return HTTP_MOVED_PERMANENTLY;
}


1;
